Bug 678810 - gnome-power-manager terminates with a segmentation fault
gnome-power-manager terminates with a segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 677087 678703 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-19 16:04 EST by Michal Jaegermann
Modified: 2013-06-16 21:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 21:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2011-02-19 16:04:59 EST
Description of problem:

Going into a desktop session generated the following:

Process /usr/bin/gnome-power-manager was killed by signal 11 (SIGSEGV)

A look into a dropped core file shows this:

Core was generated by `gnome-power-manager'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000038d9ca0f1a in g_dbus_error_encode_gerror ()
   from /lib64/libgio-2.0.so.0
(gdb) where
#0  0x00000038d9ca0f1a in g_dbus_error_encode_gerror ()
   from /lib64/libgio-2.0.so.0
#1  0x00000038d9cba00d in g_dbus_method_invocation_return_gerror ()
   from /lib64/libgio-2.0.so.0
#2  0x000000000040ad51 in gpm_backlight_dbus_method_call (
    connection=<optimized out>, sender=<optimized out>, 
    object_path=<optimized out>, interface_name=<optimized out>, method_name=
    0x7f72a4004550 "GetBrightness", parameters=0x7f72a4008800, invocation=
    0x7f72a4003060, user_data=0x1eff960) at gpm-backlight.c:699
#3  0x00000038d9ca5fd0 in ?? () from /lib64/libgio-2.0.so.0
#4  0x00000038d5842a9d in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#5  0x00000038d5843278 in ?? () from /lib64/libglib-2.0.so.0
#6  0x00000038d58438ba in g_main_loop_run () from /lib64/libglib-2.0.so.0
#7  0x0000000000408476 in main (argc=1, argv=0x7fff48ca4838) at gpm-main.c:304
(gdb) f 2
#2  0x000000000040ad51 in gpm_backlight_dbus_method_call (
    connection=<optimized out>, sender=<optimized out>, 
    object_path=<optimized out>, interface_name=<optimized out>, method_name=
    0x7f72a4004550 "GetBrightness", parameters=0x7f72a4008800, invocation=
    0x7f72a4003060, user_data=0x1eff960) at gpm-backlight.c:699
699                             g_dbus_method_invocation_return_gerror (invocation, error);
(gdb) l
694             }
695             if (g_strcmp0 (method_name, "SetBrightness") == 0) {
696                     g_variant_get (parameters, "(u)", &value);
697                     ret = gpm_backlight_set_brightness (backlight, value, &error);
698                     if (!ret) {
699                             g_dbus_method_invocation_return_gerror (invocation, error);
700                             g_error_free (error);
701                     } else {
702                             g_dbus_method_invocation_return_value (invocation, NULL);
703                     }

What a value of '*invocation' may be I cannot tell as gdb responds to all attempts with "<incomplete type>".  OTOH '*error' prints as
'{domain = 0, code = 0, message = 0x0}'.  An attempt to access such 'message' would account for SIGSEGV.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.91.5-4.fc15.x86_64

How reproducible:
No idea. Found that after some wanderings "in blind" attempting to figure out anything in a desktop session which looks like in attachment 479724 [details] to bug 678803.

Hard to tell for me how much sense "SetBrightness" and 'backlight' make in the context.  This is a desktop machine with a standalone LCD monitor.

Additional info:
See bug 678803 for a short video hardware description.
Comment 1 Richard Hughes 2011-04-26 06:09:24 EDT
I can't see how gpm_backlight_set_brightness() can return FALSE without setting an error -- ideas welcome. Thanks.
Comment 2 Richard Hughes 2011-04-26 06:10:47 EDT
*** Bug 678703 has been marked as a duplicate of this bug. ***
Comment 3 Richard Hughes 2011-04-26 06:10:57 EDT
*** Bug 677087 has been marked as a duplicate of this bug. ***
Comment 4 Michal Jaegermann 2011-04-26 10:33:59 EDT
(In reply to comment #1)
> I can't see how gpm_backlight_set_brightness() can return FALSE without setting
> an error -- ideas welcome. Thanks.

I really have no idea.  This SIGSEGV is not something which I remember seeing later on other occasions.  OTOH bug 678803 is still there making a gnome desktop really unusable so I rarely venture on it (and in a few short days I will not see that box until roughly a middle of July).

This is a rawhide test installation and from February quite a few things changed on it.
Comment 5 Richard Hughes 2011-11-15 08:42:27 EST
Does this still happen in GA release F16? Thanks.
Comment 6 Michal Jaegermann 2011-11-15 11:50:48 EST
(In reply to comment #5)
> Does this still happen in GA release F16? Thanks.

No idea.  Never tried that one; but maybe somebody else who has seen that crash may tell more.
Comment 7 Fedora End Of Life 2013-04-03 13:19:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Matthias Clasen 2013-06-16 21:17:25 EDT
This bug is not worth keeping open any longer; gnome-power-manager is not part of the session anymore.

Note You need to log in before you can comment on or make changes to this bug.